Create an Apple Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/apple/templatesCreates an Apple Pass template based on the provided .zip file. Refer to our Design an Apple Pass template guide for more information on how to design the template and how to structure the .zip file.
Analytic events
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_START
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_SUCCESS
- CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
multipart/form-data
Includes your template files.
binaryInsert a name to identify this Apple digital pass template.
1 <= length <= 1024Insert the file name that will be assigned to Apple digital passes created from this template. Must only include alphanumeric characters, ''_'', or ''-'', and end with .pkpass.
1 <= length <= 100The Team ID for the Apple Developer Program account that registered the pass type identifier.
The pass type identifier that’s registered with Apple. The value must be the same as the distribution certificate used to sign the pass.
Apple G1 or G4 worldwide developer relations intermediate certificate.
Apple pass signer certificate.
The encrypted key of the Apple pass signer certificate.
Passphrase for the encrypted key.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/apple/templates" \ -F template="string" \ -F name="Certificate of participation" \ -F fileName="certificate_of_participation.pkpass" \ -F teamIdentifier="GH5P43ABC" \ -F passTypeIdentifier="pass.myproject.participation.pk" \ -F wwdr="string" \ -F signerCert="string" \ -F signerKey="string" \ -F signerKeyPassphrase="string"{
"id": "3812166c-ac9f-4e4e-96dd-c1336b5be378",
"passType": "apple",
"name": "Certificate of participation",
"metadata": {
"fileName": "certificate_of_participation.pkpass",
"teamIdentifier": "GH5P43ABC",
"passTypeIdentifier": "pass.myproject.participation.pk"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a Google Pass template DELETE
Deletes an existing Google Pass template by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_FAIL
Retrieve all Apple Pass templates GET
Retrieves a list of all Apple Pass template available on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_RETRIEVE_LIST_FAIL